<md-dialog flex="50" aria-label="User profile" zafira-background-theme="modal" class="issue-modal styled-modal">
    <md-toolbar class="modal-header">
        <div class="md-toolbar-tools modal-header__wrapper">
            <h2 id="modalTitle" class="modal-header__title">Link issue</h2>
            <span flex></span>
            <md-button id="close" class="md-icon-button _default-md-style" ng-click="$ctrl.cancel()">
                <md-icon aria-label="Close dialog">close</md-icon>
            </md-button>
        </div>
    </md-toolbar>
    <md-dialog-content class="modal-content">
        <form class="form-validation styled-modal__form" name="known_issue_form" ng-cloak>
            <div class="md-dialog-content modal-content__wrapper">
                <div class="issue-modal__wrapper">
                    <div class="issue-modal__left">
                        <div class="info-row">
                            <div class="info-row__name">Status</div>
                            <div class="info-row__value">{{$ctrl.activeIssue.status ? $ctrl.activeIssue.status : "none"}}</div>
                        </div>
                        <div class="info-row">
                            <div class="info-row__name">Assignee</div>
                            <div class="info-row__value">{{$ctrl.activeIssue.assignee ? $ctrl.activeIssue.assignee : "none"}}</div>
                        </div>
                        <div class="info-row">
                            <div class="info-row__name">Reporter</div>
                            <div class="info-row__value">{{$ctrl.activeIssue.reporter ? $ctrl.activeIssue.reporter : "none"}}</div>
                        </div>
                    </div>
                    <div class="issue-modal__right">
                        <div flex class="issue-element-container _with-badge">
                            <md-input-container>
                                <label>Jira ID</label>
                                <input id="issueValue"
                                    type="text"
                                    ng-disabled="$ctrl.attachedIssue.value && $ctrl.attachedIssue.value === $ctrl.activeIssue.value"
                                    name="issueValue"
                                    ng-pattern="$ctrl.jiraIdPattern"
                                    class="form-control validation jira"
                                    ng-model-options="{debounce: 500}"
                                    ng-model="$ctrl.activeIssue.value"
                                    ng-change="$ctrl.onJiraIdChange(known_issue_form.issueValue.$valid, known_issue_form)"
                                    required />
                            </md-input-container>
                            <span ng-if="$ctrl.isConnectedToJira && $ctrl.ticketStatuses && known_issue_form.issueValue.$valid" class="jira-status element-with-label label label-info">Connected to JIRA</span>
                        </div>
                        <md-input-container flex class="issue-element-container summary-container">
                            <label>Summary</label>
                            <textarea id="taskDescription" name="taskDescription" class="form-control validation summary" rows="1"
                                data-ng-model="$ctrl.activeIssue.description" readonly></textarea>
                        </md-input-container>
                        <md-dialog-actions layout="row">
                            <md-button id="updateIssue" class="md-raised md-primary"
                                ng-click="$ctrl.saveIssue()"
                                ng-disabled="known_issue_form.$invalid || $ctrl.attachedIssue.value === $ctrl.activeIssue.value">
                                Save
                            </md-button>
                        </md-dialog-actions>
                    </div>
                </div>
            </div>
        </form>
        <div class="issue-modal__tickets" ng-if="!$ctrl.isBulkModal">
            <div ng-if="$ctrl.issues.length" ng-repeat="issue in $ctrl.issues">
                <div id="issuesListItem" class="ticket-list-button tickets-font">
                    <div class="col-md-12 ticket-list-row">
                        <div layout layout-sm="row">
                            <div class="col-lg-2 clearfix align-middle ticket-list-text ticket-list-row__jira">
                                <test-ticket class="issue-references"
                                    jira-integration="$ctrl.jiraIntegration"
                                    issue-reference="issue"></test-ticket>
                            </div>
                            <div class="ticket-list-text ticket-list-row__text">
                                <div class="ticket-list-row__text-container" ng-if="issue.description.length && $ctrl.issueDescriptionCompleteStatus">
                                    <span class="ticket-list-row__text-element">{{issue.description}}</span>
                                </div>
                                <span ng-if="!issue.description.length && $ctrl.issueDescriptionCompleteStatus">N.A.</span>
                                <div class="ticket-list-row__loader shimmer" ng-if="!$ctrl.issueDescriptionCompleteStatus">
                                    <div class="shimmer__item"></div>
                                </div>
                            </div>
                            <div class="col-lg-2 clearfix align-middle ticket-list-text ticket-list-row__link">
                                <a href="" ng-click="$ctrl.linkIssue(issue)" ng-if="!issue.attached">Link</a>
                                <a href="" class="_unlink" ng-click="$ctrl.unlinkIssue();" ng-if="issue.attached">Unlink</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <p class="no-tickets-lable" ng-if="!$ctrl.issues.length">No tickets added</p>
        </div>
    </md-dialog-content>
</md-dialog>
